# Hm... I'm not sure why this package won't generate debuginfo.
# lwt-log is technically "deprecated"; the lwt logger was moved into
# another package (ocaml-logs): http://erratique.ch/software/logs

# So eventually this package should be able to go away. So I
# don't think it's a huge problem.
%global debug_package %{nil}

Name:           ocaml-lwt-log
Version:        1.1.0
Release:        1%{?dist}
Summary:        Lwt logging library

%global libname %(echo %{name} | sed -e 's/^ocaml-//')

License:        BSD
URL:            https://github.com/ocsigen/lwt_log
Source0:        https://github.com/ocsigen/lwt_log/archive/%{version}/%{libname}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-lwt-devel

BuildRequires:  jbuilder

%description
Lwt-friendly logging library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n lwt_log-%{version} -p1

# Add debug flag to compiler? Is this needed?
# (It does not seem to help unfortunately).
sed 's/-w +A/-g -w +A/' -i src/core/jbuild
sed 's/-w +A/-g -w +A/' -i src/unix/jbuild

%build
%make_build

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
jbuilder install --prefix %{buildroot}%{_prefix}

# Hmm... the above needs refinement. Remove spurious doc files.
rm -rf %{buildroot}%{_prefix}/doc

%files
%license COPYING
%doc README.md CHANGES
%{_libdir}/ocaml/lwt_log
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%endif
%exclude %{_libdir}/ocaml/*/*.mli

%files devel
%license COPYING
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%endif
%{_libdir}/ocaml/*/*.mli


%changelog
* Tue Oct 16 2018 Ben Rosser <rosser.bjr@gmail.com> - 1.1.0-1
- Initial packaging.
